# Pay Methods

## Create a pay method

 - [POST /pay/methods](https://docs.connect.tyro.com/api-explorer/pay-online/0.9/pay-methods/create-pay-method.md): This endpoint is used for creating a Pay Method to store customer card details for future payments. Note: This feature is only enabled on request and may not be enabled by default for your account.

## List pay methods

 - [GET /pay/methods](https://docs.connect.tyro.com/api-explorer/pay-online/0.9/pay-methods/list-pay-methods.md): This endpoint is for fetching Pay Methods

## Retrieve a pay method

 - [GET /pay/methods/{payMethodId}](https://docs.connect.tyro.com/api-explorer/pay-online/0.9/pay-methods/get-pay-method.md): Retrieve a Pay Method

## Update pay method default status

 - [PATCH /pay/methods/{payMethodId}](https://docs.connect.tyro.com/api-explorer/pay-online/0.9/pay-methods/update-pay-method.md): Update a Pay Method's default status. Set isDefault to true to make it the default, or false to unset it as default. Note that responses only include the isDefault field when it's true. Note: This feature is only enabled on request and may not be enabled by default for your account.

## Delete a pay method

 - [DELETE /pay/methods/{payMethodId}](https://docs.connect.tyro.com/api-explorer/pay-online/0.9/pay-methods/delete-pay-method.md): Delete a Pay Method. If this is the last PayMethod for the customer, the customer will also be deleted.

